Subject: bug#5914: feature request and non-bug patches submit policy

From: Pádraig Brady <[email-masked]>
Date: Fri, 09 Apr 2010 15:04:23 +0100

On 09/04/10 10:28, jeff.liu wrote:
> Hi Jim,
> 
> I'd like to know if I should still submit new feature patches to here or [email-masked].
> 
> A few months ago, I found the heads up for the new [email-masked] mail list, and it mentioned
> only the bugs report/fix should be send to this list.  Otherwise, for the general discussion and new
> features request should go to the new list, Am I right?
> 
> But looks there is little activity in [email-masked], I have sent a few patches related to cp(1)
> sparse file enhancement through fiemap ioctl(2), but almostly no response from the list members in
> about 2 weeks, except Joel I cc-ed.  Maybe nobody is interesed. :(
> 
> I know you guys are busy with work.  Actually, I just want to know if I was misunderstood the
> policy?  If so, I will submit the patches here.
> 
> Sorry for the inconvience!

Oops!
I was sure I had subscribed to that new list.
I've done so again in any case.

Patches should still go to [email-masked] BTW.

I'm just catching up on work after holidays,
but a quick note Re: `cp --reflink`

We were trying to come up with a generic term for the CoW feature.
For BTRFS, `cp` currently needs to copy attributes explicitly,
but for OCFS2 we can just do the reflink and not bother with
all the attribute copying.  The interface is fine as is I think.
If there is a generic interface for CoW in future, we can use that.

cheers,
Pádraig.